Subject: I-D ACTION:draft-ietf-ipngwg-bsd-frag-01.txt

From: [email-masked]
Date: Wed, 28 Jan 1998 10:11:23 -0500

A Revised Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPNG Working Group of the IETF.

	Title		: Forcing Fragmentation to Network MTU
	Author(s)	: M. Andrews
	Filename	: draft-ietf-ipngwg-bsd-frag-01.txt
	Pages		: 3
	Date		: 27-Jan-98
	
           There exists a class of applications which cannot accept Path
           MTU discovery [RFC-1981].  This is recommended to be turned on
           by default for IPv6 [IPV6-SPEC-V2, 4.5, 5].  This document
           describes an extension to the BSD API [RFC-2133] to inform the
           kernel when it should be fragmenting at the network MTU rather
           than trying to discover the path MTU.
 
           Path MTU discovery works well when there is a stream of data.
           However for distributed servers sending small answers larger
           than the network MTU to many clients the lack of fragmentation
           in intermediate nodes is anathema.
 
           RFC-1981 Section 5.6 recommends that a system utility be
           provided to:
 
           - Specify that Path MTU Discovery not be done on a given path.

           - Change the PMTU value associated with a given path.
 
           This documents specifies how to do the same at the application
           level to a individual socket.

Internet-Drafts are available by anonymous FTP.  Login wih the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-ipngwg-bsd-frag-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-ipngwg-bsd-frag-01.txt

Internet-Drafts directories are located at:

	Africa:	ftp.is.co.za
	
	Europe: ftp.nordu.net
		ftp.nis.garr.it
			
	Pacific Rim: munnari.oz.au
	
	US East Coast: ds.internic.net
	
	US West Coast: ftp.isi.edu

Internet-Drafts are also available by mail.

Send a message to:	[email-masked].  In the body type:
	"FILE /internet-drafts/draft-ietf-ipngwg-bsd-frag-01.txt".
	
NOTE:	The mail server at ds.internic.net can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.